The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Ea installs php 5.3.1 but i wanted 5.2.12

Discussion in 'General Discussion' started by dragon2611, Jan 12, 2010.

  1. dragon2611

    dragon2611 Well-Known Member

    Joined:
    Nov 30, 2003
    Messages:
    126
    Likes Received:
    0
    Trophy Points:
    16
    I just ran Easyapache to upgrade a friends server since it was running php 5.2.11.

    I wanted to install 5.2.12 so I turned off the preference to install the latest php and selected 5.2.12 but it seems EA installed Apache 5.3.1 anyway :mad:


    I had this happen on my server a few weeks ago but assumed I had accidentally selected 5.3.1 by mistake however this time i'm certain I selected 5.2.12

    This on the latest Release Build.

    Edit:

    Re-ran EA and it seems to be building 5.2.12 this time as requested, Could it be related to the option to get latest php not turning off properly the first time or an I really losing my marbles?
     
    #1 dragon2611, Jan 12, 2010
    Last edited: Jan 12, 2010
  2. cPanelDon

    cPanelDon cPanel Quality Assurance Analyst
    Staff Member

    Joined:
    Nov 5, 2008
    Messages:
    2,557
    Likes Received:
    7
    Trophy Points:
    38
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    DataCenter Provider
    Twitter:
    I've not seen this occur before; it's difficult to say what exactly may have happened. For reference, the following file stores the preference for using the latest PHP version where the setting could be manually verified:
    Code:
    /var/cpanel/easy/apache/prefs.yaml
    Here is a command to view the contents of the above file:
    Code:
    # cat /var/cpanel/easy/apache/prefs.yaml
     
Loading...

Share This Page